## ros-eloquent-xacro 2.0.4

=== debian/changelog ===
ros-eloquent-xacro (2.0.4-1bionic) bionic; urgency=high

  * Merge improvements of noetic branch into dashing-devel: see 1.14.5 for details
  * Append test directory to existing AMENT_PREFIX_PATH (#260 <https://github.com/ros/xacro/issues/260>)
  * Contributors: Chen Bainian, Robert Haschke, G.A. vd. Hoorn

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 14 Nov 2020 23:00:00 -0000

ros-eloquent-xacro (2.0.3-1bionic) bionic; urgency=high

  * Merge improvements of melodic and noetic branches into dashing-devel: see 1.14.2 and 1.14.3 for details
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 08 Aug 2020 22:00:00 -0000

ros-eloquent-xacro (2.0.2-1bionic) bionic; urgency=high

  * Merge improvements of melodic and noetic branches into dashing-devel: see 1.14.1, 1.13.5 for details
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 28 Mar 2020 23:00:00 -0000

ros-eloquent-xacro (2.0.1-1bionic) bionic; urgency=high

  * Revert requiring that all xacro commands are prefixed with 'xacro:' namespace
    Although this is deprecated since #79 <https://github.com/ros/xacro/issues/79>,
    the corresponding deprecation warning wasn't actually issued.
    Thus, we will accept non-prefixed xacro tags until F-turtle.
  * Install to both, bin/xacro and lib/xacro/xacro
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 05 Oct 2019 22:00:00 -0000

ros-eloquent-xacro (2.0.0-1bionic) bionic; urgency=high

  * PEP8 cleanup
    - code simplifications
    - avoid empty except
    - sort imports
    - format line breaks
  * Code cleanup
    - Removed deprecated options --legacy, --inorder, --check-order, --includes
    - Require all xacro commands to be prefixed with 'xacro:'
    - Added missing copyright notices
    - Removed python2 stuff
  * Adapt Travis config to use colcon
  * Provide ROS2-based replacement for substition args
  * Modified package structure as per ROS2 rules
    - Using ament_cmake
    - Moved source contents from "src/xacro" to "xacro"
    - Modified package.xml and setup.py according to ROS2 requirements
    - Configured completion hook
    - Removed catkin artifacts from cmake extension
  * Contributors: vandanamandlik, Jacob Perron, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 27 Sep 2019 22:00:00 -0000

ros-eloquent-xacro (1.14.5-1bionic) bionic; urgency=high

  * [fix]     yaml loading: recursively wrap lists and dicts for dotted dict access (#258 <https://github.com/ros/xacro/issues/258>)
  * [feature] Provide support for yaml constructors !degrees and !radians (#252 <https://github.com/ros/xacro/issues/252>)
  * Contributors: Robert Haschke, G.A. vd. Hoorn

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 12 Oct 2020 22:00:00 -0000

ros-eloquent-xacro (1.14.4-1bionic) bionic; urgency=high

  * [fix] Rework YamlDictWrapper to restore dict properties (#250 <https://github.com/ros/xacro/issues/250>)
  * [fix] Ignore underscores when parsing literal numeric values (#247 <https://github.com/ros/xacro/issues/247>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 08 Aug 2020 22:00:00 -0000

ros-eloquent-xacro (1.14.3-1bionic) bionic; urgency=high

  * [feature] Improve warnings
    - Unify meaning of verbosity > 0 (to print file location)
    - Provide file location on warning in check_attrs()
    - Issue warning on child elements of <xacro:include> tag
  * [feature] Allow dotted access to yaml-loaded dicts: d.key1.key2.key3 (#245 <https://github.com/ros/xacro/issues/245>)
  * [maint]   Travis: Update distro to Bionic
  * Contributors: Robert Haschke, G.A. vd. Hoorn

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 04 Jul 2020 22:00:00 -0000

ros-eloquent-xacro (1.14.2-1bionic) bionic; urgency=high

  * [maintanence] Remove deprecated xacro.py (#239 <https://github.com/ros/xacro/issues/239>)
  * Contributors: Shane Loretz

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 20 May 2020 22:00:00 -0000

ros-eloquent-xacro (1.14.1-1bionic) bionic; urgency=high

  * [feature]     allow optional xacro includes (#234 <https://github.com/ros/xacro/issues/234>)
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 28 Mar 2020 23:00:00 -0000

ros-eloquent-xacro (1.13.5-1bionic) bionic; urgency=high

  * [feature] Expose abs_filename() (#220 <https://github.com/ros/xacro/issues/220>)
  * [feature] Catch missing closing brace in $() and ${} expressions
  * [maintanence]
    - Replace deprecated yaml.load() -> yaml.safe_load()
    - Save macro names internally w/o 'xacro:' prefix
    - Correctly issue deprecation warning for non-prefixed xacro tags
  * Contributors: Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Sat, 07 Dec 2019 23:00:00 -0000

ros-eloquent-xacro (1.13.4-1bionic) bionic; urgency=high

  * [feature] remove xmlns:xacro from processed file (#207 <https://github.com/ros/xacro/issues/207>)
    - Remove all notions of xmlns:xacro from the resulting document.
    - If the root node defines a xacro:targetNamespace attribute, this will become the global xmlns namespace of the resulting document.
  * [feature] Add len() to allowed python functions (#208 <https://github.com/ros/xacro/issues/208>)
  * [maintanence]
    - --in-order warning: reduce severity level to message
    - fix and cleanup test of cmake extensions
    - adapt run_xacro() to run xacro from PATH
    - simplify import of substition_args
    - remove 'requires' field from setup.py
    - fix Travis config: use new repository key, use xenial/kinetic distro
    - basic README.md
    - fix catkin_lint issue
    - remove duplicate catkin_python_setup() (#206 <https://github.com/ros/xacro/issues/206>)
  * Contributors: Robert Haschke, James Xu, Martin Pecka


