=== debian/control ===
Source: ros-eloquent-xacro
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), python3-yaml, ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-pytest, ros-eloquent-ament-index-python, ros-eloquent-ament-lint-auto, ros-eloquent-ros-workspace
Homepage: http://ros.org/wiki/xacro
Standards-Version: 3.9.2

Package: ros-eloquent-xacro
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-yaml, ros-eloquent-ament-index-python, ros-eloquent-ros-workspace
Description: Xacro (XML Macros) Xacro is an XML macro language.
 With xacro, you can construct shorter and more readable XML files by using macros that expand to larger XML expressions.
